#
# spec file for package libsignal-protocol-c
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define c_lib libsignal-protocol-c2
Name:           libsignal-protocol-c
Version:        2.3.1
Release:        lp151.2.2
Summary:        Signal Protocol C Library
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            https://github.com/WhisperSystems/libsignal-protocol-c/
Source:         https://github.com/WhisperSystems/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake >= 2.8.4
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(openssl) >= 1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Signal Protocol is a ratcheting forward secrecy protocol that works in synchronous and asynchronous messaging environments.

%package -n libsignal-protocol-c-devel
Summary:        Development files for libsignal-protocol-c
Group:          Development/Libraries/C and C++
Requires:       %{c_lib} = %{version}

%description -n libsignal-protocol-c-devel
Development files and headers for libsignal-protocol-c

%package -n %{c_lib}
Summary:        Signal Protocol C Library
Group:          System/Libraries

%description -n %{c_lib}
The libsignal-protocol-c library is a forward secrecy protocol library written in C.

%prep
%setup -q

%build
%cmake

%install
%cmake_install

%post -n %{c_lib} -p /sbin/ldconfig
%postun -n %{c_lib} -p /sbin/ldconfig

%files -n %{c_lib}
%defattr(-,root,root)
%doc README.md LICENSE
%{_libdir}/libsignal-protocol-c.so.2
%{_libdir}/libsignal-protocol-c.so.2.3.1

%files devel
%defattr(-,root,root)
%dir %{_includedir}/signal
%{_includedir}/signal/*.h
%{_libdir}/libsignal-protocol-c.so

%changelog
* Fri Mar 31 2017 mvetter@suse.com
- Remove libsignal-protocol-c-math-lib-shared-lib.patch:
  Contained in new upstream release
- Update to 2.3.1
* Fri Mar 31 2017 mvetter@suse.com
- Create seperate proper lib package
* Thu Mar 30 2017 mvetter@suse.com
- Remove: libsignal-protocol-c-link-math.patch:
- Add libsignal-protocol-c-math-lib-shared-lib.patch:
  Upstream added its own version of the mathlib patch, see
  https://github.com/WhisperSystems/libsignal-protocol-c/issues/57
  Additionally I requested library versioning, see:
  https://github.com/WhisperSystems/libsignal-protocol-c/issues/59
* Thu Mar 30 2017 mvetter@suse.com
- Initial package for openSUSE in version 2.3.0
- Adding libsignal-protocol-c-link-math.patch:
  Link with Math library. Otherwise does not build
